#Contributing
One of the great things about open source projects is that anyone can contribute code. The RedKite CMS has thrived thanks to the contributions of numerous people. We want to encourage everyone to submit their patches freely. To help you in that process, there are several things that you should keep in mind.

## Use Pull Requests
If you want to submit code, please use a **GitHub pull request**. This is the fastest way for us to evaluate your code and to merge it into the code base. Please don't file an issue with snippets of code. Doing so means that we need to manually merge the changes in and update any appropriate tests. That decreases the likelihood that your code is going to get included in a timely manner. Please use pull requests.

## Report a bug or ask for new features
When you find a bug or you want to propose the implementation of a new feature, you should open an [issue at github](https://github.com/redkite-labs/RedKiteCms/issues).

## Contribute to RedKite CMS
When you want to contribute to the RedKite CMS by fixing issues or adding new features, you should [fork the repository](https://github.com/redkite-labs/RedKiteCms#fork-destination-box), make your changes and use pull request to let us review your patch.

## Unit Tests
Regardless of the changes you are making, please make sure that your pull request includes appropriate tests.

If you're submitting a change to RedKite CMS core, update or add to the units tests in the **tests** directory.

If you are submitting a new Block, be sure to have properly added unit tests to cover the code and functional tests.

## Write new tests
While most of the code is covered by automated tests, these can always be improved by new tests.

Contribute with the documentation
---------------------------------
RedKite CMS has its official documentation saved into the [application docs](https://github.com/redkite-labs/RedKiteCms/tree/master/docs) folder. If you want to contribute by fixing typos on the current documentation or add new entries, just fork RedKite CMS and send us a pull request.

Found a typo? Found something wrong in this documentation? [Just fork and edit it !](https://github.com/redkite-labs/RedKiteCms/edit/master/docs/contribute/contribute.md)